Endpoint
Body
Processing rules
- moins de
100numéros : réponse synchrone 100numéros ou plus : réponse asynchrone202- les numéros valides sont traités côté provider par batchs de
20
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Check one or more WhatsApp numbers synchronously or asynchronously depending on volume.
POST /api/v1/number-lookups
| Field | Type | Required | Description |
|---|---|---|---|
instanceId | UUID | yes | ID de l’instance connectée à utiliser |
numbers | string[] | yes | 1 à 10 000 numéros au format international |
100 numéros : réponse synchrone100 numéros ou plus : réponse asynchrone 20220200 ou 202{
"data": {
"mode": "sync",
"lookupId": "lookup_uuid",
"status": "done",
"requested": 2,
"normalized": 2,
"checked": 2,
"onWhatsAppCount": 1,
"notOnWhatsAppCount": 1,
"invalidCount": 0,
"result": {
"onWhatsApp": [],
"notOnWhatsApp": [],
"invalid": []
}
}
}
| Code | HTTP | When |
|---|---|---|
VALIDATION_ERROR | 400 | Invalid body |
NOT_FOUND | 404 | Instance not found |
PROVIDER_ERROR | 502 | Verification provider error |